Bug 198051 - ACPI errors when changing from AC to battery and vice versa
ACPI errors when changing from AC to battery and vice versa
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-08 12:28 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 14:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2006-07-08 12:28:54 EDT
Description of problem:
Switching from battery to AC and vice versa show ACPI errors

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2358.fc6

How reproducible:
Allways

Steps to Reproduce:
1. Boot while on battery
2. Plug in AC
3. 
  
Actual results:
Jul  8 18:32:38 macbook kernel: ACPI Error (exmutex-0248): Cannot release Mutex
[SMTX], not acquired [20060623]
Jul  8 18:32:38 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.PCI0.LPCB.EC__.SMB0.SBRW] (Node f7e19dc4),
AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:38 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.BAT0.UBSS] (Node f7e19f44), AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:38 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.BAT0._STA] (Node f7e19fc4), AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:46 macbook kernel: ACPI Error (exmutex-0248): Cannot release Mutex
[SMTX], not acquired [20060623]
Jul  8 18:32:46 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.PCI0.LPCB.EC__.SMB0.SBRW] (Node f7e19dc4),
AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:46 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.BAT0.UBSS] (Node f7e19f44), AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:46 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.BAT0._STA] (Node f7e19fc4), AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:48 macbook kernel: ACPI Error (exmutex-0248): Cannot release Mutex
[SMTX], not acquired [20060623]
Jul  8 18:32:48 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.PCI0.LPCB.EC__.SMB0.SBRW] (Node f7e19dc4),
AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:48 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.BAT0.UBSS] (Node f7e19f44), AE_AML_MUTEX_NOT_ACQUIRED
Jul  8 18:32:48 macbook kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.BAT0._STA] (Node f7e19fc4), AE_AML_MUTEX_NOT_ACQUIRED


Expected results:
No ACPI error messages

Additional info:
This is on a Apple MacBook. The errors do not seem to harm the system.
Comment 1 Jurgen Kramer 2006-07-19 14:52:33 EDT
Problem no longer there with newer kernels.

Note You need to log in before you can comment on or make changes to this bug.